Preview email invitation
POST
/api/v1/email-invitations/preview
const url = 'https://example.com/api/v1/email-invitations/preview';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/email-invitations/preview \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'What an email invitation’s link grants, before accepting it.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
EmailInvitationTokenRequest
object
token
required
Token
string
Example generated
{ "token": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
EmailInvitationPreview
object
account_exists
required
Account Exists
boolean
email_hint
required
Email Hint
string
organization_name
required
Organization Name
string
ttx_name
required
Ttx Name
string
Example generated
{ "account_exists": true, "email_hint": "example", "organization_name": "example", "ttx_name": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}